Skip to main content

Authentication

The Prophy API uses API Key to authenticate requests. A user with Integrations admin permission can view and manage the API keys on the Integrations dashboard. In order to authenticate yourself to the Prophy API, add the X-ApiKey header in your request.

Save the key in an environment variable: run this command, paste the key and press Enter. The key isn't shown on the screen and doesn't get into your shell history.

read -s PROPHY_API_KEY && export PROPHY_API_KEY

Then run the request:

curl -X GET "http://prophy.eismea.eu/api/external/custom-fields/all/" \
-H "X-ApiKey: $PROPHY_API_KEY"

Remember, if you manage integrations for multiple organizations, each of them uses their own API Key. This allows you to isolate access and data for each organization that integrates with Prophy. The header name is case-insensitive. If you execute the request with a wrong or missing header, you will receive an HTTP Response 401 (Unauthorized).